<?php

$phpIniPath = 'D:\XAMPP\php\php.ini';
$content = file_get_contents($phpIniPath);

// Check if GD is already enabled
if (strpos($content, 'extension=gd') !== false) {
    echo "GD extension is already enabled in php.ini\n";
} else {
    // Try to enable GD
    $content = str_replace(';extension=gd', 'extension=gd', $content);
    if (file_put_contents($phpIniPath, $content)) {
        echo "Successfully enabled GD extension in php.ini\n";
    } else {
        echo "Failed to enable GD extension in php.ini\n";
    }
}

// Verify GD status
echo "\nVerifying GD status:\n";
echo "PHP Version: " . phpversion() . "\n";
echo "GD Extension Loaded: " . (extension_loaded('gd') ? 'Yes' : 'No') . "\n"; 