<?php

return [
    'auth' => [
        'register' => 'User registered successfully',
        'login' => 'User logged in successfully',
        'logout' => 'User logged out successfully',
        'invalid_credentials' => 'Invalid credentials',
    ],
    'products' => [
        'retrieved' => 'Products retrieved successfully',
        'featured_retrieved' => 'Featured products retrieved successfully',
        'not_found' => 'Product not found',
    ],
    'categories' => [
        'retrieved' => 'Categories retrieved successfully',
        'not_found' => 'Category not found',
    ],
    'cart' => [
        'retrieved' => 'Cart retrieved successfully',
        'added' => 'Item added to cart successfully',
        'updated' => 'Cart updated successfully',
        'removed' => 'Item removed from cart successfully',
        'empty' => 'Cart is empty',
        'item_not_found' => 'Item not found in cart',
        'insufficient_stock' => 'Insufficient stock',
    ],
    'orders' => [
        'retrieved' => 'Orders retrieved successfully',
        'created' => 'Order created successfully',
        'not_found' => 'Order not found',
        'unauthorized' => 'Unauthorized to view this order',
    ],
    'validation' => [
        'required' => 'The :attribute field is required',
        'email' => 'The :attribute must be a valid email address',
        'unique' => 'The :attribute has already been taken',
        'min' => 'The :attribute must be at least :min',
        'max' => 'The :attribute may not be greater than :max',
        'confirmed' => 'The :attribute confirmation does not match',
    ],
]; 