<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class LanguageController extends Controller
{
    public function switch(Request $request)
    {
        $request->validate([
            'locale' => 'required|in:en,ar'
        ]);

        app()->setLocale($request->locale);

        return response()->json([
            'message' => 'Language switched successfully',
            'locale' => app()->getLocale()
        ]);
    }
} 