<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('variation_option_values', function (Blueprint $table) {
            $table->id();
            $table->foreignId('variation_id')->constrained()->cascadeOnDelete();
            $table->foreignId('variation_option_id')->constrained('variation_option_lookups')->cascadeOnDelete();
            $table->timestamps();

            $table->unique(['variation_id', 'variation_option_id']);
        });
    }

    public function down()
    {
        Schema::dropIfExists('variation_option_values');
    }
}; 